<template>
  <div>
    <TitleGroup>
      <template slot="title">{{ data.productInfoEtitle }}</template>
      <template slot="subTitle">{{ data.productInfoCtitle }}</template>
    </TitleGroup>
    <div v-for="ii in groupByCount(data.hwProductInfoDetailList)">
    <div class="list">
        <div class="item" v-for="(i,k) in ii">
          <el-image
            style="width: 100%;height: 100%"
            :src="i.productInfoDetailPic"
            fit="contain"></el-image>
        </div>
        <br>
      </div>
    </div>
  </div>
</template>

<script>
import TitleGroup from "@/components/TitleGroup";
import wlw from "@/assets/icon/wlw.png";
import znzz from "@/assets/icon/znzz.png";
import kdwl from "@/assets/icon/kdwl.png";
import znlt from "@/assets/icon/znlt.png";

let map = null
export default {
  name: 'modal11',
  props: ['data'],
  components: {
    TitleGroup
  },
  data() {
    return {}
  },
  mounted() {
  },
  methods: {
    groupByCount(array) {
      let result = [];
      for (let i = 0; i < array.length; i += 3) {
        result.push(array.slice(i, i + 3));
      }
      return result;
    }
  }
}
</script>

<style lang="less" scoped>
@import "~@/style.less";

.list {
  margin: 3.9vw auto 0;
  padding-bottom: 5.3vw;
  width: 60vw;
  display: flex;
  justify-content: space-between;
  align-items: center;


  .item {
    display: inline-block;
    width: 30%;
    //height: 16.7vw;
    margin: 0 0.5vw;

  }
}
</style>
